---
title: "Searches Options by Customer Survey Segment id and other parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-customersurveysegments-id-options"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Searches Options by Customer Survey Segment id and other parameters

`GET` `/customersurveysegments/{id}/options`

Operation ID: `get-customersurveysegments-id-options`

Searches Options by Customer Survey Segment id and other parameters

## Path parameters

- `id` (integer, int32, required) - Customer Survey Segment Id

## Query parameters

- `order_by` (string, optional) - Order by Available field name values: id (default), name Available direction values: asc, desc Example: name desc
- `filter_by` (string, optional) - Filter by. Available field name values: id, name In string values: '|' and ',' characters have to be escaped with slash, i.e. '\\,' '\\|' For operators that support multiple values (in, notin): multiple values are delimited using '|' character Available operators: eq - Equal neq - Not equals lt - Less lte - Less or equal gt - Greater gte - Greater or equal in - In notin - Not In contains - Contains isnull - Is Null isnullorempty - Is Null Or Empty isnotnull - Is Not Null startswith - Starts with endswith - Ends with doesnotcontain - Does not contain For non-nullable fields operators isnull and isnotnull are unavailable For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable For strings operators: lt, lte, gt, gte are unavailable Example: id:eq:19
- `page_number` (integer, int32, optional)
- `page_size` (integer, int32, optional)

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Customer Survey Segment Options data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /customersurveysegments/{id}/options:
    get:
      tags:
        - customersurveysegments
      summary: Searches Options by Customer Survey Segment id and other parameters
      description: Searches Options by Customer Survey Segment id and other parameters
      operationId: get-customersurveysegments-id-options
      parameters:
        - name: id
          in: path
          description: Customer Survey Segment Id
          required: true
          schema:
            type: integer
            description: Customer Survey Segment Id
            format: int32
        - name: order_by
          in: query
          description: "Order by\r

            \r

            Available field name values: id (default), name\r

            \r

            Available direction values: asc, desc\r

            \r

            Example: name desc"
          schema:
            type: string
            description: "Order by\r

              \r

              Available field name values: id (default), name\r

              \r

              Available direction values: asc, desc\r

              \r

              Example: name desc"
            nullable: true
        - name: filter_by
          in: query
          description: "Filter by. \r

            \r

            Available field name values: id, name\r

            \            \r

            In string values: '|' and ',' characters have to be escaped with
            slash, i.e. '\\\\,' '\\\\|'\r

            \            \r

            For operators that support multiple values (in, notin): multiple
            values are delimited using '|' character\r

            \r

            Available operators:\r

            \r

            eq -  Equal\r

            \r

            neq - Not equals\r

            \r

            lt  - Less\r

            \r

            lte - Less or equal\r

            \r

            gt -  Greater\r

            \r

            gte - Greater or equal\r

            \r

            in  - In\r

            \r

            notin - Not In\r

            \            \r

            contains - Contains\r

            \r

            isnull - Is Null\r

            \            \r

            isnullorempty - Is Null Or Empty\r

            \r

            isnotnull - Is Not Null\r

            \r

            startswith - Starts with\r

            \r

            endswith - Ends with\r

            \r

            doesnotcontain - Does not contain\r

            \            \r

            For non-nullable fields operators isnull and isnotnull are
            unavailable\r

            \r

            For dates operators: contains, startswith, endswith, doesnotcontain,
            isnullorempty are unavailable\r

            \            \r

            For strings operators: lt, lte, gt, gte are unavailable\r

            \            \r

            Example: id:eq:19"
          schema:
            type: string
            description: "Filter by. \r

              \r

              Available field name values: id, name\r

              \            \r

              In string values: '|' and ',' characters have to be escaped with
              slash, i.e. '\\\\,' '\\\\|'\r

              \            \r

              For operators that support multiple values (in, notin): multiple
              values are delimited using '|' character\r

              \r

              Available operators:\r

              \r

              eq -  Equal\r

              \r

              neq - Not equals\r

              \r

              lt  - Less\r

              \r

              lte - Less or equal\r

              \r

              gt -  Greater\r

              \r

              gte - Greater or equal\r

              \r

              in  - In\r

              \r

              notin - Not In\r

              \            \r

              contains - Contains\r

              \r

              isnull - Is Null\r

              \            \r

              isnullorempty - Is Null Or Empty\r

              \r

              isnotnull - Is Not Null\r

              \r

              startswith - Starts with\r

              \r

              endswith - Ends with\r

              \r

              doesnotcontain - Does not contain\r

              \            \r

              For non-nullable fields operators isnull and isnotnull are
              unavailable\r

              \r

              For dates operators: contains, startswith, endswith,
              doesnotcontain, isnullorempty are unavailable\r

              \            \r

              For strings operators: lt, lte, gt, gte are unavailable\r

              \            \r

              Example: id:eq:19"
            nullable: true
        - name: page_number
          in: query
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Customer Survey Segment Options data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CustomerSegmentOption.PagingResponse"
              example:
                data:
                  - id: 0
                    name: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    CustomerSegmentOption.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/CustomerSegmentOption"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    CustomerSegmentOption:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Customer segment option identifier
          format: int32
        name:
          type: string
          description: Customer segment option name
          nullable: true
      additionalProperties: false
      description: Customer segment option model
```
